Search a seller's listings items

Returns a paginated list of the seller’s listings items. Mirrors Amazon SP-API searchListingsItems so an existing SP-API client can call the seller-level collection endpoint (no SKU in the path) against v4.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sellerIdstringRequired
Seller identifier

Query parameters

marketplaceIdslist of enumsRequired
Allowed values:
includedDatalist of enumsOptional
pageSizeintegerOptional1-20Defaults to 10
Maximum number of results per page
pageTokenstringOptional
Opaque cursor returned by a previous call for the next page

Response

Success
numberOfResultsinteger
Total number of matching listings items
itemslist of objects
paginationobjectOptional

Errors

400
Bad Request Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error